%define upstream_name    Net-Curl
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Net-Curl-fix-CURL_STRICTER-undeclared.patch
Patch1:     perl-Net-Curl-0.37-curl-7.54.1.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: libcurl-devel
BuildRequires: perl-devel

%description
Net::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

# remove test failure
rm t/old-22sendrecv.t
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.370.0-6pclos2017
- rebuild against updates

